Summary: The PPP (Point-to-Point Protocol) daemon.
Name: ppp
Version: 2.4.2b2
%define our_release 1es4
Release: %{our_release}
License: distributable
Group: System Environment/Daemons
Source0: ftp://ftp.samba.org/pub/ppp/ppp-%{version}.tar.gz
Source1: ppp-2.3.5-pamd.conf
Source10: ppp-dhcpc.tgz
Patch0: ppp-2.4.2b2-make.patch
Patch1: ppp-2.3.6-sample.patch
Patch2: ppp-2.4.2-wtmp.patch
Patch3: ppp-2.4.0-reap.patch
Patch4: ppp-2.3.11-pam_session.patch
Patch5: ppp-2.4.1-warnings.patch
Patch7: ppp-2.4.2b2-strip-MSdomain-patch
Patch8: ppp-2.4.2-smbpasswd
Patch9: ppp-2.4.2-smbpasswd.fixed
Patch20: ppp-2.4.2-plugins.makefile.patch
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: pam-devel
Requires: glibc >= 2.0.6, /etc/pam.d/system-auth

%description
The ppp package contains the PPP (Point-to-Point Protocol) daemon and
documentation for PPP support. The PPP protocol provides a method for
transmitting datagrams over serial point-to-point links. PPP is
usually used to dial in to an ISP (Internet Service Provider) or other
organization over a modem and phone line.

%package modules
%define defkv %(rpm -q --qf='%{Version}\\n' kernel-source|tail -1)
%define defkr %(rpm -q --qf='%{Release}\\n' kernel-source|tail -1)
# The default kernel version to build for is the latest of
# the installed kernel-source RPMs.
# This can be overridden by "--define 'kversion x.x.x' --define 'krelease y.y.y'"
%{!?kversion: %{expand: %%define kversion %defkv}}
%{!?krelease: %{expand: %%define krelease %defkr}}

Summary: The PPP kernel modules, enhanced for MSCHAP/MPPE encryption
Group: System Environment/Kernel
Release: %{our_release}_%{kversion}_%{krelease}
Obsoletes: ppp-mppe-modules
BuildRequires: kernel-source = %{kversion}-%{krelease}
Requires: kernel = %{kversion}-%{krelease}

%description modules
The PPP kernel modules, enhanced for MSCHAP/MPPE encryption - built from
linux-%{kversion} kernel source with patches provided by the PPP tarball.

%prep
if ! test -d /usr/src/linux-%{kversion}-%{krelease}/drivers/net; then
  echo "
  -----------------------------------------------------
  You don't seem to have a Linux %{kversion}-%{krelease} source tree installed!
  Please install the kernel-source-%{kversion}-%{krelease} RPM package."
  exit 1
fi
%setup  -q -a 10
mv dhcp pppd/plugins/dhcp
%patch0 -p1 -b .make
%patch1 -p1 -b .sample
# patch 2 depends on the -lutil in patch 0
%patch2 -p1 -b .wtmp
#%patch3 -p1 -b .reap
#%patch4 -p1 -b .pam_session
#%patch5 -p1 -b .warnings
%patch7 -p1
#%patch8 -p1
%patch9 -p1
%patch20 -p1
find . -type f -name "*.sample" | xargs rm -f 
cd linux/mppe
cp /usr/src/linux-%{kversion}-%{krelease}/drivers/net/bsd_comp.c .
cp /usr/src/linux-%{kversion}-%{krelease}/drivers/net/ppp_generic.c .
patch < linux-2.4.18-pad.patch
cp /usr/src/linux-%{kversion}-%{krelease}/include/linux/ppp-comp.h .
patch < linux-2.4.18-include.patch
mkdir linux
mv ppp-comp.h linux

%build
./configure
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

cd linux/mppe
CPU=%{_target_cpu}

gcc -D__KERNEL__ sha1.c -c -o sha1.o
gcc -D__KERNEL__ arcfour.c -c -o arcfour.o
for i in ppp_generic ppp_mppe_compress bsd_comp
do
gcc -DMODULE -D__KERNEL__ \
 -D__BOOT_KERNEL \
 -D__BOOT_KERNEL_$CPU \
 -D__BOOT_KERNEL_SMP=1 \
 -DEXPORT_SYMTAB -DMODVERSIONS \
 -include /usr/src/linux-%{kversion}-%{krelease}/include/linux/modversions.h \
 -Wall -Wstrict-prototypes -O6 -c \
 -I. -I/usr/src/linux-%{kversion}-%{krelease}/include \
 -c ${i}.c
mv ${i}.o ${i}.o.smp
gcc -DMODULE -D__KERNEL__ \
 -D__BOOT_KERNEL \
 -D__BOOT_KERNEL_$CPU \
 -D__BOOT_KERNEL_SMP=0 \
 -DEXPORT_SYMTAB -DMODVERSIONS \
 -include /usr/src/linux-%{kversion}-%{krelease}/include/linux/modversions.h \
 -Wall -Wstrict-prototypes -O6 -c \
 -I. -I/usr/src/linux-%{kversion}-%{krelease}/include \
 -c ${i}.c
done
ld -r -o ppp_mppe.o ppp_mppe_compress.o sha1.o arcfour.o
ld -r -o ppp_mppe.o.smp ppp_mppe_compress.o.smp sha1.o arcfour.o

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT MANDIR=$RPM_BUILD_ROOT%{_mandir} BINDIR=$RPM_BUILD_ROOT%{_sbindir}

## it shouldn't be SUID root be default
#chmod 755 $RPM_BUILD_ROOT/usr/sbin/pppd

chmod go+r scripts/*
# Remove an expect script, so that we don't add a dependency we don't want.
/bin/rm scripts/secure-card
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/ppp

MODULES=$RPM_BUILD_ROOT/lib/modules
mkdir -p $MODULES/%{kversion}-%{krelease}-e-smith/kernel/drivers/net/
mkdir -p $MODULES/%{kversion}-%{krelease}smp-e-smith/kernel/drivers/net/

for i in ppp_generic ppp_mppe bsd_comp
do
cp linux/mppe/${i}.o \
 $MODULES/%{kversion}-%{krelease}-e-smith/kernel/drivers/net/
cp linux/mppe/${i}.o.smp \
 $MODULES/%{kversion}-%{krelease}smp-e-smith/kernel/drivers/net/${i}.o
done

%clean
#rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_sbindir}/chat
%{_sbindir}/pppd
%{_sbindir}/pppdump
%{_sbindir}/pppstats
%{_libdir}/*
%{_mandir}/man8/chat.8*
%{_mandir}/man8/pppd.8*
%{_mandir}/man8/pppdump.8*
%{_mandir}/man8/pppstats.8*
%dir /etc/ppp
%config /etc/ppp/chap-secrets
%config /etc/ppp/options
%config /etc/ppp/pap-secrets
%config /etc/pam.d/ppp
%doc README README.linux scripts sample

%files modules
%defattr(-,root,root)
/lib/modules/%{kversion}-%{krelease}-e-smith/kernel/drivers/net/ppp_mppe.o
/lib/modules/%{kversion}-%{krelease}-e-smith/kernel/drivers/net/ppp_generic.o
/lib/modules/%{kversion}-%{krelease}-e-smith/kernel/drivers/net/bsd_comp.o
/lib/modules/%{kversion}-%{krelease}smp-e-smith/kernel/drivers/net/ppp_mppe.o
/lib/modules/%{kversion}-%{krelease}smp-e-smith/kernel/drivers/net/ppp_generic.o
/lib/modules/%{kversion}-%{krelease}smp-e-smith/kernel/drivers/net/bsd_comp.o

%changelog
* Thu Jun 05 2003 Charlie Brady <charlieb@e-smith.com> 2.4.2b2-1es4
- Fix building of modules subpackage, change release number of modules
  subpackage to include kernel version, and add Obsoletes: ppp-mppe-modules
  header. Include building of bsd_comp module.

* Mon May 12 2003 Charlie Brady <charlieb@e-smith.com> 2.4.2b2-1es3
- Add plugins to RPM, including the additional dhcp plugin.

* Fri Nov 29 2002 Charlie Brady <charlieb@e-smith.com> 2.4.2b2-1es2
- Remove "scripts/secure-card" from the doc tree, to avoid unwanted "expect"
  dependency.

* Tue Nov 26 2002 Charlie Brady <charlieb@e-smith.com> 2.4.2b2-1es1
- Switch to today's CVS version of ppp (called 2.4.2b2 by us).

* Mon Oct 07 2002 Charlie Brady <charlieb@e-smith.com> 2.4.2b1-1es5
- Fix the NTPasswdHash function (wasn't calling MD4 functions correctly).
- Fix the smbpasswd patch massaging from previous change.

* Wed Oct 02 2002 Charlie Brady <charlieb@e-smith.com> 2.4.2b1-1es4
- Add smbpasswd patches (orig plus fix combined from 2.4.0 patches,
  then massages to suit changes in ppp code).

* Wed Oct 02 2002 Charlie Brady <charlieb@e-smith.com> 2.4.2b1-1es3
- Add MS strip domain patch.

* Wed Jul 10 2002 Charlie Brady <charlieb@e-smith.com> 2.4.2b1-1es2
- Rebuild under RH7.3 against 2.4.18-5 kernel.

* Tue Jul 09 2002 Charlie Brady <charlieb@e-smith.com> 2.4.2b1-1
- Build versus 2.4.2b1 out of CVS on Jul 09, 2002.
- Add stuff to build ppp-modules RPM, based on a specific kernel version.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri May 17 2002 Nalin Dahyabhai <nalin@redhat.com> 2.4.1-4
- rebuild in new environment

* Wed Feb 27 2002 Nalin Dahyabhai <nalin@redhat.com> 2.4.1-3
- revert cbcp patch, it's wrong (#55367)

* Thu Aug  9 2001 Nalin Dahyabhai <nalin@redhat.com> 2.4.1-2
- add buildprereq on pam-devel (#49559)
- add patch to respond to CBCP LCP requests (#15738)
- enable cbcp support at build-time
- change the Copyright: tag to a License: tag

* Wed May 23 2001 Nalin Dahyabhai <nalin@redhat.com> 2.4.1-1
- update to 2.4.1

* Fri Dec  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Thu Nov  9 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.4.0

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- move man pages to %{_mandir}

* Thu Jun  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- change perms using defattr
- modify PAM setup to use system-auth

* Sun Mar 26 2000 Florian La Roche <Florian.La Roche@redhat.com>
- change to root:root perms

* Mon Mar 06 2000 Nalin Dahyabhai <nalin@redhat.com>
- reaper bugs verified as fixed
- check pam_open_session result code (bug #9966)

* Mon Feb 07 2000 Nalin Dahyabhai <nalin@redhat.com>
- take a shot at the wrong reaper bugs (#8153, #5290)

* Thu Feb 03 2000 Nalin Dahyabhai <nalin@redhat.com>
- free ride through the build system (release 2)

* Tue Jan 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- Update to 2.3.11

* Sat Nov 06 1999 Michael K. Johnson <johnsonm@redhat.com>
- Better fix for both problems

* Fri Nov 05 1999 Michael K. Johnson <johnsonm@redhat.com>
- fix for double-dial problem
- fix for requiring a controlling terminal problem

* Sun Sep 19 1999 Preston Brown <pbrown@redhat.com>
- 2.3.10 bugfix release

* Fri Aug 13 1999 Michael K. Johnson <johnsonm@redhat.com>
- New version 2.3.9 required for kernel 2.3.13 and will be required
  for new initscripts.  auth patch removed; 2.3.9 does the same thing
  more readably than the previous patch.

* Thu Jun 24 1999 Cristian Gafton <gafton@redhat.com>
- add pppdump

* Fri Apr 09 1999 Cristian Gafton <gafton@redhat.com>
- force pppd use the glibc's logwtmp instead of implementing its own

* Wed Apr 01 1999 Preston Brown <pbrown@redhat.com>
- version 2.3.7 bugfix release

* Tue Mar 23 1999 Cristian Gafton <gafton@redhat.com>
- version 2.3.6

* Mon Mar 22 1999 Michael Johnson <johnsonm@redhat.com>
- auth patch

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Thu Jan 07 1999 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Fri Jun  5 1998 Jeff Johnson <jbj@redhat.com>
- updated to 2.3.5.

* Tue May 19 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Fri May  8 1998 Jakub Jelinek <jj@ultra.linux.cz>
- make it run with kernels 2.1.100 and above.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Mar 18 1998 Cristian Gafton <gafton@redhat.com>
- requires glibc 2.0.6 or later

* Wed Mar 18 1998 Michael K. Johnson <johnsonm@redhat.com>
- updated PAM patch to not turn off wtmp/utmp/syslog logging.

* Wed Jan  7 1998 Cristian Gafton <gafton@redhat.com>
- added the /etc/pam.d config file
- updated PAM patch to include session support

* Tue Jan  6 1998 Cristian Gafton <gafton@redhat.com>
- updated to ppp-2.3.3, build against glibc-2.0.6 - previous patches not
  required any more.
- added buildroot
- fixed the PAM support, which was really, completely broken and against any
  standards (session support is still not here... :-( )
- we build against running kernel and pray that it will work
- added a samples patch; updated glibc patch

* Thu Dec 18 1997 Erik Troan <ewt@redhat.com>
- added a patch to use our own route.h, rather then glibc's (which has 
  alignment problems on Alpha's) -- I only applied this patch on the Alpha,
  though it should be safe everywhere

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- turned off the execute bit for scripts in /usr/doc

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- Integrated new patch from David Mosberger
- Improved description

